Skip to main content
POST
/
api
/
v0
/
repositories
/
{repo_id}
/
ai
/
ask
Ask the AI service a question about a repository.
curl --request POST \
  --url https://api.example.com/api/v0/repositories/{repo_id}/ai/ask \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>",
  "conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metadata": {}
}
'
import requests

url = "https://api.example.com/api/v0/repositories/{repo_id}/ai/ask"

payload = {
"prompt": "<string>",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
conversationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
metadata: {}
})
};

fetch('https://api.example.com/api/v0/repositories/{repo_id}/ai/ask', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"<string>"
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}

Path Parameters

repo_id
string<uuid>
required

Body

application/json

Request for the AI service.

prompt
string
required
conversationId
string<uuid>
required
metadata
object | null

Response

AI response

The response is of type file.